CURSES_DELETELN(3)

NAME
curses_deleteln, deleteln, wdeleteln - curses delete single line routines

LIBRARY
libcurses

SYNOPSIS
#include <curses.h>
int
deleteln(void);
int
wdeleteln(WINDOW *win);

DESCRIPTION
These functions delete a single line from stdscr or from the specified window.

The deleteln() function deletes the screen line containing the cursor in the stdscr. The wdeleteln() function is the same as the deleteln() function, excepting that the line is deleted from the window specified by win.

All lines following the deleted line are moved up one line toward the cursor. The last line of the window is cleared. The cursor position is unchanged.

If a scrolling region has been set with the setscrreg() or wsetscrreg() functions and the current cursor position is inside the scrolling region, then only the lines from the current line to the bottom of the scrolling region are moved up and the bottom line of the scrolling region cleared.

The functions deleteln() and wdeleteln(win) are equivalent to winsdelln(stdscr, -1) and winsdelln(win, -1) respectively.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

SEE ALSO
curses_insdelln(3), curses_insertln(3), curses_scroll(3)

STANDARDS
The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

HISTORY
The Curses package appeared in 4.0BSD.